src.m.Parking.Place Class Reference

Representation d'une place de DreamPark. More...

## Public Member Functions

def | __init__
| Constructeur de Place. More...
def | prendre (self)
| Rend la Place indisponible.
def | liberer (self)
| Rend la Place disponible.
def | supprimer (self)
| Suppression place de la bd.
def | id (self)
| propriete : id de la Place
def | identification (self)
| propriete : identification etage : numero de la Place
def | estlibre (self)
| propriete : True si la place est Place
def | typePlace (self)
| propriete : typePlace de la Place
def | estSuperAbo (self)
| propriete : typePlace de la Place
def | __str__ (self)
| Representation d'une Place en chaine.

## Static Public Member Functions

def | nbPlaceParking (idParking)
| Retourne les nombre de place du Parking d'id idParking. More...
def | nbPlaceLibreParking (idParking)
| Retourne les nombre de place libre du Parking d'id idParking. More...
def | nbSuperAbo (idParking)
| Retourne les nombre de place superAbo du Parking d'id idParking. More...
def | placeValide (idPArking, voiture)
| Retourne si une Place valide pour une Voiture dans un parking. More...

## Detailed Description

Representation d'une place de DreamPark.

## Constructor & Destructor Documentation

def src.m.Parking.Place.__init__ | ( |  | self,
|  |  | id,
|  |  | parking = `None`,
|  |  | typePlace = `None`,
|  |  | numero = `None`,
|  |  | estLibre = `True`,
|  |  | estSuperAbo = `False`
| ) |  |

Constructeur de Place.

Parameters

  id | Si None : creation de la Place dans la bd Sinon : tentative de récupération de la Place avec cet id dans la bd
  parking | Si creation : le Parking ou est creer la Place
  typePlace | Si creation : le TypePlace de Place
  numero | Si creation : le numero de Place
  estLibre | Si creation : Si la Place est libre ou non
  estSuperAbo | Si creation : Si la Place est superAbo ou non

## Member Function Documentation

def src.m.Parking.Place.nbPlaceLibreParking | ( |  | idParking | ) |

static

Retourne les nombre de place libre du Parking d'id idParking.

Parameters

  idParking | l'id du Parking

Returns
  le nombre de Place libre

def src.m.Parking.Place.nbPlaceParking | ( |  | idParking | ) |

static

Retourne les nombre de place du Parking d'id idParking.

Parameters

  idParking | l'id du Parking

Returns
  le nombre de Place

def src.m.Parking.Place.nbSuperAbo | ( |  | idParking | ) |

static

Retourne les nombre de place superAbo du Parking d'id idParking.

Parameters

  idParking | l'id du Parking

Returns
  le nombre de Place superAbo

def src.m.Parking.Place.placeValide | ( |  | idPArking,
|  |  | voiture
| ) |  |

static

Retourne si une Place valide pour une Voiture dans un parking.

Parameters

  idParking | id du Parking ou est recherché la place
  voiture | Voiture pour laquelle est recherché la place

Returns
  Si non trouve : None. Sinon : Place une place valide

The documentation for this class was generated from the following file:

- src/m/Parking.py